Subject: Re: procmail (and SmartList) on cygwin
From: Jason Tishler <[email-masked]>
To: Greg Matheson <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Fri, 4 Jan 2002 08:08:11 -0500

Greg,

On Fri, Jan 04, 2002 at 12:13:06PM +0800, Greg Matheson wrote:
> On Thu, 03 Jan 2002, Jason Tishler wrote:
> > Did you apply the patch... IIRC, then it
> > should have solved the problem with the execv() test.
> 
> It seems the patch had been applied. So, I changed line 1353 of
> autoconf back to
> 
>    *(environ=nenv)="PATH=.";*nenviron=0;diff=argc;    /* start doubling */
> 
> and now I get 2 error messages from Windows, about not being able to find
> CYGWIN1.DLL,

This makes perfect sense since the above changes PATH to only contain
the current directory (i.e., ".").  Hence, cygwin1.dll will not be found
unless you copy it into the procmail source tree.

Note this is what I initially did while trying to debug this problem.
After this worked, I removed the (ill-advised) copy and tried the
following:

    *(environ=nenv)="PATH=/usr/bin";*nenviron=0;diff=argc;

Unfortunately, this caused the test program to crash.  I was lame and
gave up debugging and just settled with:

    *nenviron=0;diff=argc;

which seemed sufficient.

> [snip]
> This is on Windows 98.

My experience is on Windows 2000 so we may be observing some differences
due to different platforms

IIRC, http://www.dd.iij4u.or.jp/~madokam/ has a Windows 9x/Me specific
patch that you may consider using.

> I mentioned the existence of the executable on the procmail list,
> but there was no reaction.

No surprise.  My experience on other lists seems to indicate that Cygwin
is considered to be the "Rodney Dangerfield" of platforms.  Sigh...

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/